For the latest news and information visit The GNU Crypto project

## gnu.crypto.jce.sig
Class DSSKeyPairGeneratorSpi

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--gnu.crypto.jce.sig.KeyPairGeneratorAdapter
                  |
                  +--gnu.crypto.jce.sig.DSSKeyPairGeneratorSpi

public class DSSKeyPairGeneratorSpi
extends gnu.crypto.jce.sig.KeyPairGeneratorAdapter

The implementation of a `KeyPairGenerator` adapter class to wrap gnu.crypto DSS keypair generator instances.

In case the client does not explicitly initialize the KeyPairGenerator (via a call to an `initialize()` method), the GNU Crypto provider uses a default modulus size (keysize) of 1024 bits.

Field Summary
`protected IKeyPairGenerator` `adaptee` Our underlying keypair instance.

Constructor Summary
`DSSKeyPairGeneratorSpi()`

Method Summary
`java.security.KeyPair` `generateKeyPair()`
`void` `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` `initialize(int keysize, java.security.SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adaptee

    protected IKeyPairGenerator adaptee

  Our underlying keypair instance.

Constructor Detail

### DSSKeyPairGeneratorSpi

    public DSSKeyPairGeneratorSpi()

Method Detail

### initialize

    public void initialize(int keysize,
                           java.security.SecureRandom random)

  Specified by:
    `initialize` in class `gnu.crypto.jce.sig.KeyPairGeneratorAdapter`

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Specified by:
    `initialize` in class `gnu.crypto.jce.sig.KeyPairGeneratorAdapter`
    `java.security.InvalidAlgorithmParameterException`

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Specified by:
    `generateKeyPair` in class `java.security.KeyPairGeneratorSpi`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.